$ = jQuery = require('jquery');
const miscFunctions = require('./misc-functions');

const changeDesign = miscFunctions.__get__('changeDesign');
describe('changeDesign', () => {
  it('does not throw with empty argument.', () => {expect(() => changeDesign()).not.toThrow();});
  it('has empty background-image URL.', () => {
    changeDesign({backgroundimage: false, backgroundcolor: false, linkcolor: false});
    expect(document.querySelector('body').style['background-image']).toBe('url()')
  });
});
